# $Id: plop_pl.pm,v 1.20.2.2 2017/02/22 11:34:18 rjs Exp $
#---------------------------------------------------------------------------#
#          Copyright (c) 2002-2017 PDFlib GmbH. All rights reserved.        #
#---------------------------------------------------------------------------#
#    This software may not be copied or distributed except as expressly     #
#    authorized by PDFlib GmbH's general license agreement or a custom      #
#    license agreement signed by PDFlib GmbH.                               #
#    For more information about licensing please refer to www.pdflib.com.   #
#---------------------------------------------------------------------------#

package plop_pl;
require Exporter;
require DynaLoader;
$VERSION=5.2;
@ISA = qw(Exporter DynaLoader);
package plopc;
bootstrap plop_pl;
var_plop_init();
@EXPORT = qw( );

# ---------- BASE METHODS -------------

package plop_pl;

sub TIEHASH {
    my ($classname,$obj) = @_;
    return bless $obj, $classname;
}

sub CLEAR { }

sub this {
    my $ptr = shift;
    return tied(%$ptr);
}


# ------- FUNCTION WRAPPERS --------

package plop_pl;

*PLOP_new = *plopc::PLOP_new;
*PLOP_delete = *plopc::PLOP_delete;
# update fromp wrap.pl
*PLOP_add_recipient = *ploplibc::PLOP_add_recipient;
*PLOP_close_document = *ploplibc::PLOP_close_document;
*PLOP_convert_to_unicode = *ploplibc::PLOP_convert_to_unicode;
*PLOP_create_document = *ploplibc::PLOP_create_document;
*PLOP_create_pvf = *ploplibc::PLOP_create_pvf;
*PLOP_delete_pvf = *ploplibc::PLOP_delete_pvf;
*PLOP_get_apiname = *ploplibc::PLOP_get_apiname;
*PLOP_get_buffer = *ploplibc::PLOP_get_buffer;
*PLOP_get_errmsg = *ploplibc::PLOP_get_errmsg;
*PLOP_get_errnum = *ploplibc::PLOP_get_errnum;
*PLOP_info_pvf = *ploplibc::PLOP_info_pvf;
*PLOP_open_document = *ploplibc::PLOP_open_document;
*PLOP_pcos_get_number = *ploplibc::PLOP_pcos_get_number;
*PLOP_pcos_get_stream = *ploplibc::PLOP_pcos_get_stream;
*PLOP_pcos_get_string = *ploplibc::PLOP_pcos_get_string;
*PLOP_prepare_signature = *ploplibc::PLOP_prepare_signature;
*PLOP_set_option = *ploplibc::PLOP_set_option;

@EXPORT = qw(
PLOP_new
PLOP_delete
PLOP_add_recipient
PLOP_close_document
PLOP_convert_to_unicode
PLOP_create_document
PLOP_create_pvf
PLOP_delete_pvf
PLOP_get_apiname
PLOP_get_buffer
PLOP_get_errmsg
PLOP_get_errnum
PLOP_info_pvf
PLOP_open_document
PLOP_pcos_get_number
PLOP_pcos_get_stream
PLOP_pcos_get_string
PLOP_prepare_signature
PLOP_set_option

);
